Bug 1651824 (python-elephant) - Review Request: python-elephant - Elephant is a package for analysis of electrophysiology data in Python
Summary: Review Request: python-elephant - Elephant is a package for analysis of elect...
Keywords:
Status: CLOSED ERRATA
Alias: python-elephant
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
neuro-sig
URL:
Whiteboard:
Depends On: python-pyfim
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-11-21 00:07 UTC by Luis Bazan
Modified: 2019-06-23 10:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Python elephant is now available in neurofedora. It needs to be added to https://docs.fedoraproject.org/en-US/neurofedora/analysis-tools/
Clone Of:
Environment:
Last Closed: 2019-06-23 01:45:53 UTC
sanjay.ankur: fedora-review+


Attachments (Terms of Use)
enable tests in general and other minor tweaks. (4.54 KB, patch)
2019-06-10 15:59 UTC, Ankur Sinha (FranciscoD)
no flags Details | Diff

Description Luis Bazan 2018-11-21 00:07:07 UTC
Spec URL: https://lbazan.fedorapeople.org/python-elephant.spec
SRPM URL: https://lbazan.fedorapeople.org/python-elephant-0.6.0-1.fc29.src.rpm

Description:
Elephant - Electrophysiology Analysis Toolkit Elephant is a package for the
analysis of neurophysiology data, based on Neo.Code status -- :target:

Fedora Account System Username: lbazan

Comment 1 Luis Bazan 2018-11-21 00:45:11 UTC
I excluded test because failed. (need contact upstream to check these)

%{__python2} setup.py nosetests
%{__python3} setup.py nosetests

Or

%{__python2} setup.py nosetests --with-coverage --cover-package=elephant --cover-erase
%{__python3} setup.py nosetests --with-coverage --cover-package=elephant --cover-erase

Or using
%{__python2} setup.py -m unittest discover
%{__python3} setup.py -m unittest discover

Comment 2 Luis Bazan 2018-11-21 00:45:52 UTC
Reference for test:
https://elephant.readthedocs.io/en/latest/developers_guide.html

Comment 3 Ankur Sinha (FranciscoD) 2018-11-21 13:00:17 UTC
Does not currently build in rawhide. The py2 bits will not be available on F30+, so you must use a conditional to ensure that these are only built in F29 or lower. The alternative is to use different specs for F30+ and the rest, but I find that tedious when it comes to updates---you've got to upate different branches manually.

Take a look at the python spec template here:

https://pagure.io/neuro-sig/NeuroFedora/blob/master/f/spec-templates/python.spec

You can:

- use bcond_ for the conditionals to selectively enable features like py2 support and tests.
- use {py2/3_dist ..} macros
- use the %pypi_source macro
- use auto generated provides (but we currently need to double check them)

Thanks for helping out with neuro-fedora! :)
Cheers,
Ankur

Comment 5 Ankur Sinha (FranciscoD) 2018-11-24 13:23:34 UTC
Luis (blackfile), would you mind if I took this one? I've got the time and I've done the review of sorts already. (We want to keep the reviews going ASAP).

Cheers,
Ankur

Comment 6 Luis Bazan 2018-11-24 13:38:37 UTC
test bug in upstream
https://github.com/NeuralEnsemble/elephant/issues/188

Cheers,

Comment 7 Luis Bazan 2018-11-24 13:39:35 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #5)
> Luis (blackfile), would you mind if I took this one? I've got the time and
> I've done the review of sorts already. (We want to keep the reviews going
> ASAP).
> 
> Cheers,
> Ankur

Hi Ankur

Please continue with the review Luis (blackfile) today is busy fyi!

Cheers,

Comment 8 Ankur Sinha (FranciscoD) 2019-01-11 15:14:16 UTC
Working on it now!

Comment 9 Ankur Sinha (FranciscoD) 2019-04-02 12:28:13 UTC
The mock build seems to fail. Is it trying to fetch some data for the build?

Mock Version: 1.4.14
Mock Version: 1.4.14
Mock Version: 1.4.14
ENTER ['do'](['bash', '--login', '-c', '/usr/bin/rpmbuild -bs --target x86_64 --nodeps /builddir/build/SPECS/python-elephant.spec'], chrootPath='/var/lib/mock/fedora-rawhide-x86_64/root'env={'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'en_GB.utf8'}shell=Falselogger=<mockbuild.trace_decorator.getLog object at 0x7f1380ae3da0>timeout=0uid=1000gid=135user='mockbuild'nspawn_args=['--capability=cap_ipc_lock', '--bind=/tmp/mock-resolv.w08p16j_:/etc/resolv.conf']unshare_net=TrueprintOutput=False)
Executing command: ['/usr/bin/systemd-nspawn', '-q', '-M', '6ac7f937a51d447fad208ba95cf05c5d', '-D', '/var/lib/mock/fedora-rawhide-x86_64/root', '-a', '--capability=cap_ipc_lock', '--bind=/tmp/mock-resolv.w08p16j_:/etc/resolv.conf', '--setenv=TERM=vt100', '--setenv=SHELL=/bin/bash', '--setenv=HOME=/builddir', '--setenv=HOSTNAME=mock', '--setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin', '--setenv=PROMPT_COMMAND=printf "\\033]0;<mock-chroot>\\007"', '--setenv=PS1=<mock-chroot> \\s-\\v\\$ ', '--setenv=LANG=en_GB.utf8', '-u', 'mockbuild', 'bash', '--login', '-c', '/usr/bin/rpmbuild -bs --target x86_64 --nodeps /builddir/build/SPECS/python-elephant.spec'] with env {'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'en_GB.utf8'} and shell False
Building target platforms: x86_64
Building for target x86_64
Wrote: /builddir/build/SRPMS/python-elephant-0.6.0-1.fc30.src.rpm
Child return code was: 0
ENTER ['do'](['bash', '--login', '-c', '/usr/bin/rpmbuild -bb --target x86_64 --nodeps /builddir/build/SPECS/python-elephant.spec'], chrootPath='/var/lib/mock/fedora-rawhide-x86_64/root'env={'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'en_GB.utf8'}shell=Falselogger=<mockbuild.trace_decorator.getLog object at 0x7f1380ae3da0>timeout=0uid=1000gid=135user='mockbuild'nspawn_args=['--capability=cap_ipc_lock', '--bind=/tmp/mock-resolv.w08p16j_:/etc/resolv.conf']unshare_net=TrueprintOutput=False)
Executing command: ['/usr/bin/systemd-nspawn', '-q', '-M', '3f8d5df8cc194197b66ac3f30739f3c6', '-D', '/var/lib/mock/fedora-rawhide-x86_64/root', '-a', '--capability=cap_ipc_lock', '--bind=/tmp/mock-resolv.w08p16j_:/etc/resolv.conf', '--setenv=TERM=vt100', '--setenv=SHELL=/bin/bash', '--setenv=HOME=/builddir', '--setenv=HOSTNAME=mock', '--setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin', '--setenv=PROMPT_COMMAND=printf "\\033]0;<mock-chroot>\\007"', '--setenv=PS1=<mock-chroot> \\s-\\v\\$ ', '--setenv=LANG=en_GB.utf8', '-u', 'mockbuild', 'bash', '--login', '-c', '/usr/bin/rpmbuild -bb --target x86_64 --nodeps /builddir/build/SPECS/python-elephant.spec'] with env {'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'en_GB.utf8'} and shell False
Building target platforms: x86_64
Building for target x86_64
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.QnYjg5
+ umask 022
+ cd /builddir/build/BUILD
+ cd /builddir/build/BUILD
+ rm -rf elephant-0.6.0
+ /usr/bin/gzip -dc /builddir/build/SOURCES/elephant-0.6.0.tar.gz
+ /usr/bin/tar -xof -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd elephant-0.6.0
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ rm -rf elephant.egg-info
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.IN43EY
+ umask 022
+ cd /builddir/build/BUILD
+ cd elephant-0.6.0
+ CFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection'
+ LDFLAGS='-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
+ /usr/bin/python3 setup.py build '--executable=/usr/bin/python3 -s'
BUILDSTDERR: Traceback (most recent call last):
BUILDSTDERR:   File "/usr/lib64/python3.7/urllib/request.py", line 1317, in do_open
BUILDSTDERR:     encode_chunked=req.has_header('Transfer-encoding'))
BUILDSTDERR:   File "/usr/lib64/python3.7/http/client.py", line 1229, in request
BUILDSTDERR:     self._send_request(method, url, body, headers, encode_chunked)
BUILDSTDERR:   File "/usr/lib64/python3.7/http/client.py", line 1275, in _send_request
BUILDSTDERR:     self.endheaders(body, encode_chunked=encode_chunked)
BUILDSTDERR:   File "/usr/lib64/python3.7/http/client.py", line 1224, in endheaders
BUILDSTDERR:     self._send_output(message_body, encode_chunked=encode_chunked)
BUILDSTDERR:   File "/usr/lib64/python3.7/http/client.py", line 1016, in _send_output
BUILDSTDERR:     self.send(msg)
BUILDSTDERR:   File "/usr/lib64/python3.7/http/client.py", line 956, in send
BUILDSTDERR:     self.connect()
BUILDSTDERR:   File "/usr/lib64/python3.7/http/client.py", line 928, in connect
BUILDSTDERR:     (self.host,self.port), self.timeout, self.source_address)
BUILDSTDERR:   File "/usr/lib64/python3.7/socket.py", line 707, in create_connection
BUILDSTDERR:     for res in getaddrinfo(host, port, 0, SOCK_STREAM):
BUILDSTDERR:   File "/usr/lib64/python3.7/socket.py", line 748, in getaddrinfo
BUILDSTDERR:     for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
BUILDSTDERR: socket.gaierror: [Errno -2] Name or service not known
BUILDSTDERR: During handling of the above exception, another exception occurred:
BUILDSTDERR: Traceback (most recent call last):
BUILDSTDERR:   File "setup.py", line 26, in <module>
BUILDSTDERR:     'elephant/spade_src/fim.so')
BUILDSTDERR:   File "/usr/lib64/python3.7/urllib/request.py", line 247, in urlretrieve
BUILDSTDERR:     with contextlib.closing(urlopen(url, data)) as fp:
BUILDSTDERR:   File "/usr/lib64/python3.7/urllib/request.py", line 222, in urlopen
BUILDSTDERR:     return opener.open(url, data, timeout)
BUILDSTDERR:   File "/usr/lib64/python3.7/urllib/request.py", line 525, in open
BUILDSTDERR:     response = self._open(req, data)
BUILDSTDERR:   File "/usr/lib64/python3.7/urllib/request.py", line 543, in _open
BUILDSTDERR:     '_open', req)
BUILDSTDERR:   File "/usr/lib64/python3.7/urllib/request.py", line 503, in _call_chain
BUILDSTDERR:     result = func(*args)
BUILDSTDERR:   File "/usr/lib64/python3.7/urllib/request.py", line 1345, in http_open
BUILDSTDERR:     return self.do_open(http.client.HTTPConnection, req)
BUILDSTDERR:   File "/usr/lib64/python3.7/urllib/request.py", line 1319, in do_open
BUILDSTDERR:     raise URLError(err)
BUILDSTDERR: urllib.error.URLError: <urlopen error [Errno -2] Name or service not known>
RPM build errors:
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.IN43EY (%build)
BUILDSTDERR:     Bad exit status from /var/tmp/rpm-tmp.IN43EY (%build)
Child return code was: 1
EXCEPTION: [Error()]
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/util.py", line 700, in do
    raise exception.Error("Command failed: \n # %s\n%s" % (command, output), child.returncode)
mockbuild.exception.Error: Command failed: 
 # /usr/bin/systemd-nspawn -q -M 3f8d5df8cc194197b66ac3f30739f3c6 -D /var/lib/mock/fedora-rawhide-x86_64/root -a --capability=cap_ipc_lock --bind=/tmp/mock-resolv.w08p16j_:/etc/resolv.conf --setenv=TERM=vt100 --setenv=SHELL=/bin/bash --setenv=HOME=/builddir --setenv=HOSTNAME=mock --setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin --setenv=PROMPT_COMMAND=printf "\033]0;<mock-chroot>\007" --setenv=PS1=<mock-chroot> \s-\v\$  --setenv=LANG=en_GB.utf8 -u mockbuild bash --login -c /usr/bin/rpmbuild -bb --target x86_64 --nodeps /builddir/build/SPECS/python-elephant.spec

Mock Version: 1.4.14

Comment 10 Luis Bazan 2019-06-07 20:55:48 UTC
Hi Ankur

SPEC:https://lbazan.fedorapeople.org/python-elephant.spec
SRPM:https://lbazan.fedorapeople.org/python-elephant-0.6.2-1.fc30.src.rpm

Please continue with review..

- test failed
- and docs build failed

temp commented.

Cheers,

koji build --scratch rawhide python-elephant-0.6.2-1.fc30.src.rpm 
Uploading srpm: python-elephant-0.6.2-1.fc30.src.rpm
[====================================] 100% 00:00:18   8.61 MiB 466.07 KiB/sec
Created task: 35378004
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=35378004
Watching tasks (this may be safely interrupted)...
35378004 build (rawhide, python-elephant-0.6.2-1.fc30.src.rpm): free
35378004 build (rawhide, python-elephant-0.6.2-1.fc30.src.rpm): free -> open (buildvm-ppc64-07.ppc.fedoraproject.org)
  35378010 buildArch (python-elephant-0.6.2-1.fc30.src.rpm, s390x): open (buildvm-s390x-12.s390.fedoraproject.org)
  35378008 buildArch (python-elephant-0.6.2-1.fc30.src.rpm, aarch64): open (buildvm-aarch64-10.arm.fedoraproject.org)
  35378009 buildArch (python-elephant-0.6.2-1.fc30.src.rpm, i686): open (buildvm-28.phx2.fedoraproject.org)
  35378011 buildArch (python-elephant-0.6.2-1.fc30.src.rpm, armv7hl): open (buildvm-armv7-14.arm.fedoraproject.org)
  35378007 buildArch (python-elephant-0.6.2-1.fc30.src.rpm, ppc64le): open (buildvm-ppc64le-15.ppc.fedoraproject.org)
  35378006 buildArch (python-elephant-0.6.2-1.fc30.src.rpm, x86_64): open (buildvm-27.phx2.fedoraproject.org)
  35378006 buildArch (python-elephant-0.6.2-1.fc30.src.rpm, x86_64): open (buildvm-27.phx2.fedoraproject.org) -> closed
  0 free  6 open  1 done  0 failed
  35378009 buildArch (python-elephant-0.6.2-1.fc30.src.rpm, i686): open (buildvm-28.phx2.fedoraproject.org) -> closed
  0 free  5 open  2 done  0 failed
  35378010 buildArch (python-elephant-0.6.2-1.fc30.src.rpm, s390x): open (buildvm-s390x-12.s390.fedoraproject.org) -> closed
  0 free  4 open  3 done  0 failed
  35378007 buildArch (python-elephant-0.6.2-1.fc30.src.rpm, ppc64le): open (buildvm-ppc64le-15.ppc.fedoraproject.org) -> closed
  0 free  3 open  4 done  0 failed
  35378008 buildArch (python-elephant-0.6.2-1.fc30.src.rpm, aarch64): open (buildvm-aarch64-10.arm.fedoraproject.org) -> closed
  0 free  2 open  5 done  0 failed
  35378011 buildArch (python-elephant-0.6.2-1.fc30.src.rpm, armv7hl): open (buildvm-armv7-14.arm.fedoraproject.org) -> closed
  0 free  1 open  6 done  0 failed
35378004 build (rawhide, python-elephant-0.6.2-1.fc30.src.rpm): open (buildvm-ppc64-07.ppc.fedoraproject.org) -> closed
  0 free  0 open  7 done  0 failed

35378004 build (rawhide, python-elephant-0.6.2-1.fc30.src.rpm) completed successfully

Comment 11 Ankur Sinha (FranciscoD) 2019-06-10 15:58:24 UTC
- Please expand tabs to spaces (or collapse spaces to tabs: needs to be
  consistent, not a mix of the two)

- Please also remove doc/_build (pre-built docs) in %prep to ensure a clean
  build: rm -frv doc/_build

- The test fails because setup.py wants an older version of neo:
  neo<0.8.0,<=0.7.1 (this condition seems wrong). Could you please ask upstream
  if this is required?

- If this is OK, the tests require files to run which are not included in the
  pypi tar. Using the github tarball fixes some of them. One tests requires a
  download, and this one can be removed (or test disabled): test_unitary_event_analysis.py
  Another fails on i386 architecture. You should test if it also fails on the
  other 32 bit arches, and report this upstream.

- Please remove the explicit requirements (they're not correct), and let the
  automatic generator do its thing

- Looks like it can use MPI, please include mpi4py as a requires or a weak dep

- Shouldn't it be a noarch package? We can't ship the `fim.so` file that is in
  the pypi tar. It must be generated from the sources, which are here, and used
  as a BR, R: http://www.borgelt.net/pyfim.html. So this will have to be
  packaged also. (I'll look into this now)

- Docs failing should be reported upstream, but we've got to test it in a fresh
  virtual environment first to confirm it isn't a Fedora specific issue.

I've attached a diff with some improvements. Please do have a look.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/

- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/asinha/dump/fedora-
  review/1651824-python-elephant/diff.txt
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/


The SourceURL is wrong. Should be %pypi_source. However, please use the github
tar as suggested. That will also fix this issue.

===== MUST items =====

C/C++:
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-clause "Simplified" License",
     "BSD (unspecified)", "Expat License", "Expat License BSD
     (unspecified)", "Apache License (v2.0)". 651 files have unknown
     license. Detailed output of licensecheck in /home/asinha/dump/fedora-
     review/1651824-python-elephant/licensecheck.txt

Should include MIT for files in elephant/spade_src/
The LICENSE file from there should also be listed in %license.

[x]: %build honors applicable compiler flags or justifies otherwise.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[?]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[!]: Spec file according to URL is the same as in SRPM.
     Note: Bad spec filename: /home/asinha/dump/fedora-
     review/1651824-python-elephant/srpm-unpacked/python-elephant.spec
     See: (this test has no URL)
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Installation errors
-------------------
INFO: mock.py version 1.4.16 starting (python version = 3.7.3)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.16
INFO: Mock Version: 1.4.16
Finish: chroot init
INFO: installing package(s): /home/asinha/dump/fedora-review/1651824-python-elephant/results/python3-elephant-0.6.2-1.fc31.x86_64.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 31 --setopt=deltarpm=False --disableplugin=local --disableplugin=spacewalk install /home/asinha/dump/fedora-review/1651824-python-elephant/results/python3-elephant-0.6.2-1.fc31.x86_64.rpm



Rpmlint
-------
Checking: python3-elephant-0.6.2-1.fc31.x86_64.rpm
          python-elephant-0.6.2-1.fc31.src.rpm
python3-elephant.x86_64: W: spelling-error Summary(en_US) electrophysiology -> electrocardiography
python3-elephant.x86_64: W: spelling-error %description -l en_US neurophysiology -> physiological
python3-elephant.x86_64: W: unstripped-binary-or-object /usr/lib/python3.7/site-packages/elephant/spade_src/fim.so
python-elephant.src: W: spelling-error Summary(en_US) electrophysiology -> electrocardiography
python-elephant.src: W: spelling-error %description -l en_US neurophysiology -> physiological
python-elephant.src:57: W: macro-in-comment %package
python-elephant.src:57: W: macro-in-comment %{pypi_name}
python-elephant.src:59: W: macro-in-comment %description
python-elephant.src:59: W: macro-in-comment %{pypi_name}
python-elephant.src:85: W: macro-in-comment %check
python-elephant.src:86: W: macro-in-comment %{__python3}
python-elephant.src:94: W: macro-in-comment %files
python-elephant.src:94: W: macro-in-comment %{pypi_name}
python-elephant.src:95: W: macro-in-comment %doc
python-elephant.src:96: W: macro-in-comment %license
python-elephant.src:13: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 13)
python-elephant.src: E: specfile-error warning: Macro expanded in comment on line 57: %{pypi_name}-doc
python-elephant.src: E: specfile-error 
python-elephant.src: E: specfile-error warning: Macro expanded in comment on line 59: %{pypi_name}-doc
python-elephant.src: E: specfile-error 
python-elephant.src: E: specfile-error warning: Macro expanded in comment on line 94: %{pypi_name}-doc
2 packages and 0 specfiles checked; 5 errors, 16 warnings.




Unversioned so-files
--------------------
python3-elephant: /usr/lib/python3.7/site-packages/elephant/spade_src/fim.so

Source checksums
----------------
http://neuralensemble.org/elephant/archive/v0.6.2/elephant-0.6.2.tar.gz :
  CHECKSUM(SHA256) this package     : 14bb2d938faa9c52aeaf9e6c459825e15d102862e5cbbca3f56fa57258d92375
  CHECKSUM(SHA256) upstream package : 4a4e937a5a4d41b304717b08e7d7a67e871e0dfd2f619125c7c602a6d3955ebf
diff -r also reports differences


Requires
--------
python3-elephant (rpmlib, GLIBC filtered):
    python(abi)
    python3-sphinx_rtd_theme
    python3.7dist(neo)
    python3.7dist(numpy)
    python3.7dist(quantities)
    python3.7dist(scipy)
    python3.7dist(six)
    python3dist(nbsphinx)
    python3dist(neo)
    python3dist(nose)
    python3dist(numpy)
    python3dist(numpydoc)
    python3dist(pandas)
    python3dist(quantities)
    python3dist(scikit-learn)
    python3dist(scipy)
    python3dist(six)
    python3dist(sphinx)
    python3dist(sphinx-gallery)
    python3dist(sphinxcontrib-bibtex)



Provides
--------
python3-elephant:
    python3-elephant
    python3-elephant(x86-64)
    python3.7dist(elephant)
    python3dist(elephant)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1651824
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: PHP, fonts, R, SugarActivity, Ocaml, C/C++, Java, Perl, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 12 Ankur Sinha (FranciscoD) 2019-06-10 15:59:05 UTC
Created attachment 1579088 [details]
enable tests in general and other minor tweaks.

Comment 14 Ankur Sinha (FranciscoD) 2019-06-12 21:40:57 UTC
Looks good now: XXX APPROVED XXX!

However, before you commit to SCM:

- Do you think you should include mpi4py as a requires or a weak dep? This package seems to support MPI.
- Please report the following issues upstream and mention the issues in the spec:
* failing doc build
* failing tests (not the one that tries to download files, that's OK)

- Please file an issue upstream discussing the version specific requires on neo. We need to confirm what version this works with.


Cheers!
Ankur

Comment 15 Gwyn Ciesla 2019-06-13 13:26:52 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-elephant

Comment 16 Fedora Update System 2019-06-13 20:49:29 UTC
FEDORA-2019-37b2e313a3 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-37b2e313a3

Comment 17 Fedora Update System 2019-06-14 02:07:34 UTC
python-elephant-0.6.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-37b2e313a3

Comment 18 Ankur Sinha (FranciscoD) 2019-06-14 09:06:12 UTC
Awesome! Please update the neuro-fedora documentation to list python-elephant there now: https://docs.fedoraproject.org/en-US/neurofedora/analysis-tools/

Comment 19 Fedora Update System 2019-06-14 16:01:06 UTC
FEDORA-2019-37b2e313a3 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-37b2e313a3

Comment 20 Fedora Update System 2019-06-14 16:31:38 UTC
FEDORA-2019-7442f74aa9 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7442f74aa9

Comment 21 Fedora Update System 2019-06-15 02:08:33 UTC
python-elephant-0.6.2-3.fc30, python-pyfim-6.28-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-37b2e313a3

Comment 22 Fedora Update System 2019-06-15 02:16:01 UTC
python-elephant-0.6.2-3.fc29, python-neo-0.8.0-0.1.20190215git49b6041.fc29, python-pyfim-6.28-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7442f74aa9

Comment 23 Fedora Update System 2019-06-23 01:45:53 UTC
python-elephant-0.6.2-3.fc30, python-pyfim-6.28-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2019-06-23 10:23:05 UTC
python-elephant-0.6.2-3.fc29, python-neo-0.8.0-0.1.20190215git49b6041.fc29, python-pyfim-6.28-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.